v1.0.0
OpenAPI 3.1.0

Update a transactional message

US region

Client Libraries

Update a transactional message

Update the body of a transactional email. This fully overwrites your existing transactional message. We'll use your updated content for any future transactional requests (/v1/send/email), so make sure that you test your message before you update it.

NOTE: You cannot manage content made with Design Studio with this endpoint. Use the Design Studio APIs instead.

Path Parameters
  • transactional_id
    Type: integer
    required

    The identifier of your transactional message. You'll find this in the UI or URL of your transactional message. For example, if this is the path of a transactional message URL - /transactional/3/templates/139 - the transactional_id is 3.

  • content_id
    Type: integer
    required

    The content variant of your transactional message. You'll find the id in the URL of your transactional message. For example, if this is the path of a transactional message URL - /transactional/3/templates/139 - the content_id is 139.

Body
application/json
    • body
      Type: string

      The body of the transactional message. You cannot modify the body if you created it with our drag-and-drop editor.

    • body_amp
      Type: string

      AMP-enabled content for your email. If a recipient's email client doesn't support AMP, they receive your body content instead. Make sure you're set up to send AMP first.

    • from_id
      Type: integer

      The identifier of the from address, commonly known as the "sender". Use List sender identities to find valid IDs.

    • headers
      Type: array object[]

      Headers you want to add or update. Names and values must be strings, with no non-ASCII characters or spaces. You can't overwrite reserved headers.

    • preheader_text
      Type: string

      Also known as "preview text", this is the small block of text shown in an email inbox next to or underneath the subject line.

    • recipient
      Type: string

      The recipient address for an action.

    • reply_to_id
      Type: integer | null

      The identifier for the reply_to address, if applicable. Use List sender identities to find valid IDs.

    • subject
      Type: string

      The subject line for an email action.

Responses
  • application/json
  • application/json
  • 404

    The transactional_id or content_id in your request do not exist

Request Example for put/v1/transactional/{transactional_id}/content/{content_id}
curl https://api.customer.io/v1/transactional/1/content/1 \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "body": "",
  "from_id": 1,
  "reply_to_id": 38,
  "recipient": "{{customer.email}}",
  "subject": "Did you get that thing I sent you?",
  "preheader_text": "",
  "body_amp": "",
  "headers": [
    [
      {
        "name": "X-Mailgun-Tag",
        "value": "my-cool-tag"
      }
    ]
  ]
}'
{
  "content": [
    {
      "id": 96,
      "name": "Receipt",
      "created": 1552341937,
      "updated": 1552341937,
      "body": "string",
      "language": "fr",
      "type": "email",
      "from": "sentFrom@example.com",
      "from_id": 1,
      "reply_to": "replyto@example.com",
      "reply_to_id": 38,
      "preprocessor": "premailer",
      "recipient": "{{customer.email}}",
      "subject": "Did you get that thing I sent you?",
      "cc": "string",
      "bcc": "string",
      "fake_bcc": true,
      "preheader_text": "string",
      "body_amp": "string",
      "headers": "[{\"name\":\"X-Mailgun-Tag\",\"value\":\"my-cool-tag\"},{\"name\":\"X-Custom-Header\",\"value\":\"custom-value\"}]"
    }
  ]
}